Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Hi there,

Now I'm using redmine 3.3.0.

1. In the issues page, filter issues with tracker

2. Set columns in Options panel, choose a field which is irrelevant with the tracker

3. Click apply, server returns Redmine 500 error with below information

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 Compared with 2.3.0 version, if a irrelevant field is chosen, the column just leaves empty in result page, no 500 error occurred.

History

#1 - 2017-02-04 03:11 - Yao Li

update .. should be error 500 in the subject ..

#2 - 2017-02-04 08:20 - Go MAEDA

- Subject changed from Custom query - error 404 if irrelevant field chosen to Custom query - error 500 if irrelevant field chosen

#3 - 2017-02-04 08:26 - Go MAEDA

- Category set to Issues list

- Status changed from New to Needs feedback

I cannot reproduce the error in the current trunk.

Could you paste the error messages in log/production.log file?

#4 - 2017-02-04 11:10 - Shreyas Moolya

Yao Li wrote:

update .. should be error 500 in the subject ..

 +1

#5 - 2017-02-12 17:03 - Toshi MARUYAMA

What do you mean "a field which is irrelevant with the tracker"?

#6 - 2017-02-13 03:31 - Yao Li

Toshi MARUYAMA wrote:
What do you mean "a field which is irrelevant with the tracker"?

 For example, we have trackers A and B, customized fields m,n,p,q. A uses m and n, B uses p and q.

1. Setup a query to display all tracker A issues

2. Choose columns m and n to display - it works well

3. Choose columns m, n, and p to display - server returns 500 error.

#7 - 2017-02-13 03:47 - Yao Li

- File production.log added

production log attached.

#8 - 2017-02-13 04:17 - Go MAEDA

Yao Li wrote:

production log attached.

 Please see line 52. It is obvious that the error was caused by a plugin named 'extended_fields'. I think that uninstalling the plugin will resolve the

problem.

#9 - 2017-02-13 16:34 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please contact plugin author.

Files

production.log 481 KB 2017-02-13 Yao Li
